Modifies a playlist. For example, you could change a playlist's title, description, or privacy status.

**Quota impact:** A call to this method has a [quota cost](https://developers.google.com/youtube/data/getting-started.md.txt#quota) of 50 units.

## Common use cases

<iframe src="https://developers.devsite.google/frame/youtube/data/reference/rest/v3/playlists/update_934aa9342c50a3df13bd0ac6171307245d4bc8a824d086878157f4a4d7c5f099.frame" class="framebox inherit-locale " allow="clipboard-write https://developers.devsite.google" allowfullscreen is-upgraded></iframe>

## Request

### HTTP request

```
PUT https://www.googleapis.com/youtube/v3/playlists
```

### Authorization

This request requires authorization with at least one of the following scopes. To read more about authentication and authorization, see [Implementing OAuth 2.0 authorization](https://developers.google.com/youtube/data/guides/authentication.md.txt).

| Scope |
|---|
| `https://www.googleapis.com/auth/youtubepartner` |
| `https://www.googleapis.com/auth/youtube` |
| `https://www.googleapis.com/auth/youtube.force-ssl` |

### Parameters

The following table lists the parameters that this query supports. All of the parameters listed are query parameters.

| Parameters ||
|---|---|---|
| **Required parameters** |||
| `part` | `string` The `part` parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. Note that this method will override the existing values for mutable properties that are contained in any parts that the request body specifies. For example, a playlist's description is contained in the `snippet` part, which must be included in the request body. If the request does not specify a value for the `snippet.description` property, the playlist's existing description will be deleted. The following list contains the `part` names that you can include in the parameter value: - `contentDetails` - `id` - `localizations` - `player` - `snippet` - `status` |
| **Optional parameters** |||
| `onBehalfOfContentOwner` | `string` This parameter can only be used in a properly [authorized request](https://developers.google.com/youtube/data/guides/authentication.md.txt). **Note:** This parameter is intended exclusively for YouTube content partners. The `onBehalfOfContentOwner` parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. |

### Request body

Provide a `playlist` resource in the request body.
For that resource:

- You must specify a value for these properties:

  - `id`
  - `snippet.title`
- You can set values for these properties:

  - `snippet.title`
  - `snippet.description`
  - `status.privacyStatus`
  - `status.podcastStatus`
  - `snippet.defaultLanguage`
  - `localizations.(key)`
  - `localizations.(key).title`
  - `localizations.(key).description`

  If you are submitting an update request, and your request does not specify a value for a property that already has a value, the property's existing value will be deleted.

## Response

If successful, this method returns a `playlist` resource in the response body.

## Errors

The following table identifies error messages that the API could return in response to a call to this method. For more details, see [YouTube Data API - Errors](https://developers.google.com/youtube/data/reference/rest/v3/errors.md.txt).

| Error type | Error detail | Description |
|---|---|---|
| `badRequest (400)` | `defaultLanguageNotSetError` | The `defaultLanguage` must be set to update `localizations`. |
| `badRequest (400)` | `localizationValidationError` | One of the values in the localizations object failed validation. Use the [playlists.list](https://developers.google.com/youtube/data/reference/rest/v3/playlists/list.md.txt) method to retrieve valid values and make sure to update them following the guidelines in [the playlists resource documentation.](https://developers.google.com/youtube/data/reference/rest/v3/playlists.md.txt#resource) |
| `forbidden (403)` | `playlistForbidden` | This operation is forbidden or the request is not properly authorized. |
| `invalidValue (400)` | `invalidPlaylistSnippet` | The request provides an invalid playlist snippet. |
| `notFound (404)` | `playlistNotFound` | The playlist identified with the request's `id` parameter cannot be found. |
| `required (400)` | `playlistTitleRequired` | The request must specify a playlist title. |
| `invalidValue (400)` | `playlistOperationUnsupported` | The API does not support the ability to update the specified playlist. For example, you can't update the properties of your uploaded videos playlist. |

## Try it!

Use the APIs Explorer to call this API and see the API request and response.